<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/password-meter.js"></script>

<!-- <script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script> -->

<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/password-meter.js"></script>
<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>

<!-- <script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload3.Attach.js"></script> -->

<script type="text/javascript" src="/js/moo-uploader.js"></script>

<script type="text/javascript" src="/js/highslide/highslide.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>

<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>
<?php echo $this->headLink()->prependStylesheet($this->baseUrl() . '/css/passwordmeter.css') ?>
<? echo $this->headLink()->prependStylesheet($this->baseUrl() . '/css/highslide.css') ?>


<style type="text/css">
	#filecontrol{
		width: 473px;
	}
	.mooupload_listview li div.filename{
		width: 200px;
	}
	.mooupload_noerror{
		visibility: visible;
	}
</style>


<script type="text/javascript">
Cubix.Grid.DataTypes.EscortLink.baseUrl = '<?= Cubix_Application::getById()->url . '/escort' ?>';
</script>

<script type="text/javascript">
Cubix.ready = function () {
	
	window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();

	new Cubix.Shadow($('content'));
	var getFilterParams = function () {
		<? if (isset($_GET['m']) && strlen($_GET['m']) > 0): ?>
		$('username').set('value', '<?= $_GET['m'] ?>');
		<? endif; ?>
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};

	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Approve & Save', icon: 'accept', action: function () {
				this.content.getFirst('form').set('action', '/client-blacklist/edit?act=approve');
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					
				});
			} },
			{ caption: 'Save', icon: 'accept', action: function () {
				this.content.getFirst('form').set('action', '/client-blacklist/edit?act=save');
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {

				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 530
	});
	
	popup.addEvent('loaded', function () {
		window.fireEvent('resize');
	});

	var e_popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Approve & Save', icon: 'accept', action: function () {
				this.content.getFirst('form').set('action', '/client-blacklist/create?act=approve');
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {

				});
			} },
			{ caption: 'Save', icon: 'accept', action: function () {
				this.content.getFirst('form').set('action', '/client-blacklist/create?act=save');
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {

				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 530
	});

	e_popup.addEvent('loaded', function () {
		window.fireEvent('resize');
	});

	var photos_popup = new Cubix.Popup.Ajax({
			width: 896,
			zIndex: function () { return Cubix.Popup.zIndex + 38 }
		});

	window.PhotosPopup = photos_popup;
	photos_popup.addEvent('loaded', function () { new Escort.Photos(photos_popup); });

	var OrdersPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save & Add Transfer', icon: 'add', action: function () {
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					this.fireEvent('addOrder', [resp.order_id]);
				});
			} },
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100,
		zIndex: function () { return Cubix.Popup.zIndex + 40 }
	});

	var PackagesPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Add', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderPackagesGrid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 45 }
	});

	var popup_sms = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 39 }
	});
	window.SmsPopup = popup_sms;

	var escort_popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Place New Order', icon: 'add', action: function () {
				window.PackagesPopup = PackagesPopup;
				window.OrderPopup = OrdersPopup;
				OrdersPopup.setTitle('Create New Order for Escort');
				OrdersPopup.load('/billing/orders/create?type=escort&id=' + $$('input[name=esc_id]')[0].get('value') + '&name=', function () {
					this.open();
				});
			} },
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	window.EscortPopup = escort_popup;

	var popupClose = function(popup) {
		var old_data = window.popup_data;
		var new_data = popup.content.getElement('.form-common').toQueryString();

		if ( old_data != new_data ) {
			if ( confirm('Close without saving changes ?') ) {
				popup.close();
			}
		}
		else {
			popup.close();
		}
	};
	window.popupClose = popupClose;

	escort_popup.addEvent('close', function () { window.EscortsKeyboard.deactivate(); });

	escort_popup.addEvent('loaded', function () {
		new mootabs('tabs', { width: null, height: 'auto' });
	});


	var MemberPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 690,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	MemberPopup.addEvent('loaded', function () {
		new Picker.Date('input[name=date_expires]', { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });

		$('country').addEvent('change', function() {
			var country = this;

			$('city').set('disabled', 'disabled');
			new Request({
				url: '<?= $this->baseUrl() ?>/geography/cities/ajax-get-cities-grouped?country_id=' + this.get('value'),
				method: 'get',
				onSuccess: function (resp) {
					$('city').set('html', resp);
					$('city').set('disabled', '');
				}
			}).send();
		});
	});

	popup.addEvent('loaded', function () {
		window.fireEvent('resize');
	});
	
	var qEmail = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.qEmail = qEmail;
	
	window.qEmail.addEvent('loaded', function () {		
		if ($('email_template'))
			$('email_template').addEvent('change', function(e) {
				e.stop();

				var id = $('email_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/emailtemplates/get?id=' + id,
					onSuccess: function (resp) {
						resp = JSON.decode(resp);
						$('from').set('value', resp.from);
						$('subject').set('value', resp.subject);
						$('message').set('html', resp.body);
						$('email_signature').set('html', resp.signature);
					}.bind(this)
				}).send();
			});
	});
	
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [			
			{ title: 'Escort/Agency Username', field: 'username', type: 'string', sortable: true },
			{ title: 'Date', field: 'date', type: 'DateTime', sortable: true },
			{ title: 'Client Name', field: 'client_name', type: 'string', sortable: true },
			{ title: 'Client Phone', field: 'client_phone', type: 'string', sortable: true },
			{ title: 'Comment', field: 'comment', type: 'StingImages', sortable: false, width: '350px' },
			{ title: 'Is Approved', field: 'is_approved', type: 'ToggleActiveBl', sortable: true }
		],
		sort: {
			field: 'date',
			dir: 'desc'
		},
		actions: [ { type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this row?') ) {
				this.overlay.disable();
				new Request({
					url: '/client-blacklist/remove?id=' + data.bl_id,
					onSuccess: function (resp) {
						this.load();
					}.bind(this)
				}).send();
			}
		} }, { type: 'edit', func: function (data) {
			popup.setTitle('Edit Blacklisted Client');
			popup.load('<?= $this->baseUrl() ?>/client-blacklist/edit?id=' + data.bl_id, function () {
				this.open();
				bindUploaderEdit();
			});
		} }, { type: 'quick-sms', func: function (data) {
			window.qEmail.setTitle('Compose Email');
			window.qEmail.load('<?= $this->baseUrl() ?>/index/quick-email?email=' + data.email, function () {
				this.open();
			});
		} }
		],
		data: new Cubix.Grid.Loader({ url: '/client-blacklist/data', params: getFilterParams })
	});

	grid.addEvent('loaded', function(){
		$$('.cx-grid-type-ToggleActiveBl a').addEvent('click', function (e) {
			e.stop();
			new Request({
				url: this.get('href'),
				method: 'get',
				onSuccess: function(){
					grid.load();
				}
			}).send();
		});
	});
		
	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-create'), { onClick: function () {
		e_popup.setTitle('Create Blacklisted Client');
		e_popup.load('<?= $this->baseUrl() ?>/client-blacklist/create', function () {
			this.open();
			bindUploader();
		});
	}, icon: 'add', caption: 'Create' });

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.addEvent('change', function(){
			grid.load();
		});
	};

	initFormSubmit();

	function bindUploader(){
		var uploader = new MooUpload('filecontrol', {    
			action: '/client-blacklist/attached-image-blacklist/',// Server side upload script    
			method: 'html5',		// Use only HTML5 method		
			blocksize: 999999999,	// Load per one chunk
			onAddFiles: function() { },
			onFinishUpload: function() {},
			onFileUpload: function(fileindex, resp){
				if ( ! resp.error && resp.finish ) {
					new Element('input', {type: 'hidden', name:'attach[]', value:resp.id}).inject($('filecontrol_file_'+(fileindex+1)).getParent(['.item']), 'top');
				} else if ( resp.error ) {
					if ( ! $$('#filecontrol_listView ul.errors').length ) {
						new Element('ul', {
							'class' : 'errors'
						}).inject($('filecontrol_listView'));
					}
					
					
					var li = new Element('li', {});
					
					li.inject($$('#filecontrol_listView ul.errors')[0]);
					
					new Element('span', {
						'html' : resp.name + ' - '
					}).inject(li);
					new Element('span', {
						'class' : 'mooupload_error',
						'html' : resp.msg
					}).inject(li);
				}
				window.fireEvent('resize');
			}
		});
	}
	function bindUploaderEdit(){
		var uploader = new MooUpload('filecontrol-edit', {    
			action: '/client-blacklist/attached-image-blacklist/',// Server side upload script    
			method: 'html5',		// Use only HTML5 method		
			blocksize: 999999999,	// Load per one chunk
			onAddFiles: function() { },
			onFinishUpload: function() {},
			onFileUpload: function(fileindex, resp){
				if ( ! resp.error && resp.finish ) {
					new Element('input', {type: 'hidden', name:'attach[]', value:resp.id}).inject($('filecontrol-edit_file_'+(fileindex+1)).getParent(['.item']), 'top');
				} else if ( resp.error ) {
					if ( ! $$('#filecontrol_listView ul.errors').length ) {
						new Element('ul', {
							'class' : 'errors'
						}).inject($('filecontrol_listView'));
					}
					
					
					var li = new Element('li', {});
					
					li.inject($$('#filecontrol_listView ul.errors')[0]);
					
					new Element('span', {
						'html' : resp.name + ' - '
					}).inject(li);
					new Element('span', {
						'class' : 'mooupload_error',
						'html' : resp.msg
					}).inject(li);
				}
				window.fireEvent('resize');
			}
		});
	}
};
</script>

<?php $DEFINITIONS = Zend_Registry::get('defines'); ?>

<div class="form-common gray c-filter-form">
	<form>
		<fieldset class="inner mb10">
			<div class="inner">
				<label for="username">Escort/Agency Username</label>
				<input id="username" type="text" class="txt w16" name="username" value="<?= $this->filter_params['username'] ?>" />
			</div>

			<div class="inner">
				<label for="client_name">Client Name</label>
				<input id="client_name" type="text" class="txt w15" name="client_name" value="<?= $this->filter_params['client_name'] ?>" />
			</div>

			<div class="inner">
				<label for="client_phone">Client Phone</label>
				<input id="client_phone" type="text" class="txt w15" name="client_phone" value="<?= $this->filter_params['client_phone'] ?>" />
			</div>

			<div class="inner">
				<label for="comment">Comment</label>
				<input id="comment" type="text" class="txt w15" name="comment" value="<?= $this->filter_params['comment'] ?>" />
			</div>

			<div class="inner">
				<label for="status">Status</label>
				<select name="status" id="status">
					<option value="">--- All ---</option>
					<option value="1">Approved</option>
					<option value="3">Not Approved</option>
				</select>
			</div>
			<div class="clear"></div>
		</fieldset>
		
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div id="grid-show-count" class="fleft grid-show-count"><span></span> - Blacklisted Client Found</div>

<div class="clear"></div>

<div class="mt10 fleft">
	<a id="btn-create"></a>
	<div class="clear"></div>
</div>
<div class="clear"></div>
<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
